OGRE-Next: Ogre::LwConstString Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LwConstString Class Reference

`#include <OgreLwConstString.h>`

Inheritance diagram for Ogre::LwConstString:
[legend]

## Public Member Functions
| LwConstString (const char *inStr, size_t maxLength)
| LwConstString (const LwConstString &other)=default
const char * | begin () const
const char * | c_str () const
size_t | capacity () const
const char * | end () const
size_t | find (const char *val, size_t pos=0) const
size_t | find (const LwConstString *val, size_t pos=0) const
size_t | find_first_of (char c, size_t pos=0) const
size_t | find_first_of (const char *val, size_t pos=0) const
size_t | find_last_of (char c, size_t pos=static_cast< size_t >(-1)) const
bool | operator!= (const char *other) const
bool | operator!= (const LwConstString &other) const
bool | operator< (const char *other) const
bool | operator< (const LwConstString &other) const
LwConstString & | operator= (const LwConstString &other)=delete
bool | operator== (const char *other) const
bool | operator== (const LwConstString &other) const
bool | operator> (const char *other) const
bool | operator> (const LwConstString &other) const
size_t | size () const

## Static Public Member Functions
static LwConstString | FromUnsafeCStr (const char *cStr)

## Detailed Description

See also
  LwString. This base class exists so that you can wrap around useful functionality around const char pointers, for example: const char myText = "Hello World!"; LwConstString myString( myText, 13 ); such as comparison, finding, etc. The internal pointer is const_cast'ed because derived class LwString needs it so, however this base class never writes to this pointer or returns a non-const pointer.

## Constructor & Destructor Documentation

## ◆ LwConstString() [1/2]

Ogre::LwConstString::LwConstString | ( | const char * | inStr,
|  | size_t | maxLength )
| inline

Referenced by LwConstString(), Ogre::LwString::LwString(), find(), FromUnsafeCStr(), operator!=(), operator<(), operator=(), Ogre::LwString::operator=(), operator==(), operator>(), Ogre::LwString::setToSubstr(), and Ogre::LwString::setToSubstr().

## ◆ LwConstString() [2/2]

Ogre::LwConstString::LwConstString | ( | const LwConstString & | other | ) |
| default

References LwConstString().

## Member Function Documentation

## ◆ begin()

const char * Ogre::LwConstString::begin | ( |  | ) | const
| inline

Referenced by Ogre::LwString::setToSubstr().

## ◆ c_str()

const char * Ogre::LwConstString::c_str | ( |  | ) | const
| inline

Referenced by Ogre::any_cast(), and Ogre::DriverVersion::toString().

## ◆ capacity()

size_t Ogre::LwConstString::capacity | ( |  | ) | const
| inline

## ◆ end()

const char * Ogre::LwConstString::end | ( |  | ) | const
| inline

Referenced by Ogre::LwString::setToSubstr().

## ◆ find() [1/2]

size_t Ogre::LwConstString::find | ( | const char * | val,
|  | size_t | pos = 0 ) const
| inline

Referenced by find().

## ◆ find() [2/2]

size_t Ogre::LwConstString::find | ( | const LwConstString * | val,
|  | size_t | pos = 0 ) const
| inline

References LwConstString(), and find().

## ◆ find_first_of() [1/2]

size_t Ogre::LwConstString::find_first_of | ( | char | c,
|  | size_t | pos = 0 ) const
| inline

## ◆ find_first_of() [2/2]

size_t Ogre::LwConstString::find_first_of | ( | const char * | val,
|  | size_t | pos = 0 ) const
| inline

## ◆ find_last_of()

size_t Ogre::LwConstString::find_last_of | ( | char | c,
|  | size_t | pos = static_cast<size_t>( -1 ) ) const
| inline

## ◆ FromUnsafeCStr()

LwConstString Ogre::LwConstString::FromUnsafeCStr | ( | const char * | cStr | ) |
| inlinestatic

References LwConstString().

## ◆ operator!=() [1/2]

bool Ogre::LwConstString::operator!= | ( | const char * | other | ) | const
| inline

## ◆ operator!=() [2/2]

bool Ogre::LwConstString::operator!= | ( | const LwConstString & | other | ) | const
| inline

References LwConstString().

## ◆ operator<() [1/2]

bool Ogre::LwConstString::operator< | ( | const char * | other | ) | const
| inline

## ◆ operator<() [2/2]

bool Ogre::LwConstString::operator< | ( | const LwConstString & | other | ) | const
| inline

References LwConstString().

## ◆ operator=()

LwConstString & Ogre::LwConstString::operator= | ( | const LwConstString & | other | ) |
| delete

References LwConstString().

## ◆ operator==() [1/2]

bool Ogre::LwConstString::operator== | ( | const char * | other | ) | const
| inline

## ◆ operator==() [2/2]

bool Ogre::LwConstString::operator== | ( | const LwConstString & | other | ) | const
| inline

References LwConstString().

## ◆ operator>() [1/2]

bool Ogre::LwConstString::operator> | ( | const char * | other | ) | const
| inline

## ◆ operator>() [2/2]

bool Ogre::LwConstString::operator> | ( | const LwConstString & | other | ) | const
| inline

References LwConstString().

## ◆ size()

size_t Ogre::LwConstString::size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreLwConstString.h